* Instantiate an SFRegistry object and flag that we can create new keys as
* needed.

loRegistry = newobject('SFRegistry', 'SFFFC.vcx')
loRegistry.lCreateKey = .T.

* See what the VFP resource file is set to by reading from the appropriate
* place in the Registry.

messagebox('Resource file: ' + loRegistry.GetRegKey('ResourceTo', ;
	'Software\Microsoft\VisualFoxPro\6.0\Options'))

* Set the default key to our own key, then assign values to a couple of
* options. Read one of them back to see that it was written.

loRegistry.cAppPathKey = 'Software\Conference\Mining for Gold in FFC'
loRegistry.SetRegKey('My Sample Option', 'Hello World')
loRegistry.SetRegKey('My Other Option', 'This is a test')
messagebox('My sample option: ' + loRegistry.GetRegKey('My Sample Option'))

* Get a list of the options.

clear
dimension laOptions[1]
lnOptions = loRegistry.EnumOptions(@laOptions)
lcMessage = 'Here are the keys we just defined and their values:' + chr(13)
for lnI = 1 to lnOptions
	lcMessage = lcMessage + chr(13) + laOptions[lnI, 1] + ':' + ;
		laOptions[lnI, 2]
next lnI
messagebox(lcMessage)

* Nuke our key and confirm it's gone.

loRegistry.DeleteKey(loRegistry.cAppPathKey)
loRegistry.DeleteKey('Software\Conference')
messagebox(loRegistry.cAppPathKey + ' is ' + ;
	iif(loRegistry.IsKey(loRegistry.cAppPathKey), 'not ', '') + ;
	'gone')
